%define		evo_ver	%{version}
Summary:	Evolution extension for Exchange Web Services
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange Web Services
Name:		evolution-ews
Version:	3.56.2
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	https://download.gnome.org/sources/evolution-ews/3.56/%{name}-%{version}.tar.xz
# Source0-md5:	08c022b1ea336c5728f52b06d0f4e894
URL:		https://gitlab.gnome.org/GNOME/evolution/-/wikis/home
BuildRequires:	cmake >= 3.15
BuildRequires:	evolution-data-server-devel >= %{evo_ver}
BuildRequires:	evolution-data-server-gtk3-devel >= %{evo_ver}
BuildRequires:	evolution-devel >= %{evo_ver}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.68
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 1.0.4
BuildRequires:	libical-glib-devel >= 3.0.5
BuildRequires:	libmspack-devel >= 0.4
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{evo_ver}
Requires:	evolution-data-server >= %{evo_ver}
Requires:	glib2 >= 1:2.68
Requires:	json-glib >= 1.0.4
Requires:	libical-glib >= 3.0.5
Requires:	libsoup3 >= 3.0
Obsoletes:	evolution-ews-devel < 3.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
servers, versions 2007 and later, through its Exchange Web Services
(EWS) interface.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange w wersji 2007 lub nowszej poprzez interfejs EWS
(Exchange Web Services).

%prep
%setup -q

%build
%cmake -B build \
	-DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
	-DENABLE_SCHEMAS_COMPILE=OFF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libdir}/evolution-ews
%attr(755,root,root) %{_libdir}/evolution/modules/module-ews-configuration.so
%attr(755,root,root) %{_libdir}/evolution/modules/module-microsoft365-configuration.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmicrosoft365.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendmicrosoft365.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-microsoft365-backend.so
%attr(755,root,root) %{_libdir}/evolution-ews/libcamelews-priv.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-ews.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-ews-common.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-microsoft365.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews
%{_datadir}/metainfo/org.gnome.Evolution-ews.metainfo.xml
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-ews.git;a=log;h=master

* Fri May 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 274f437
- updated to 3.56.2

* Wed Apr 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 79df664
- updated to 3.56.1

* Fri Apr 11 2025 Jakub Bogusz <qboosh@pld-linux.org> b349eac
- updated to 3.56.0

* Sun Jan 12 2025 Jakub Bogusz <qboosh@pld-linux.org> 290d3c1
- updated to 3.54.3.0

* Sat Nov 23 2024 Jakub Bogusz <qboosh@pld-linux.org> bd159b2
- updated to 3.54.2

* Fri Oct 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 431bb4a
- updated to 3.54.1

* Mon Sep 23 2024 Jakub Bogusz <qboosh@pld-linux.org> a253aaf
- updated to 3.54.0 (GNOME 47)

* Mon Aug 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 5e16098
- updated to 3.52.4

* Sat Jun 29 2024 Jakub Bogusz <qboosh@pld-linux.org> f832dea
- updated to 3.52.3

* Fri May 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 75d5d58
- updated to 3.52.2

* Mon Apr 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 162adcc
- updated to 3.52.1

* Sun Jan 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 6e8d9d6
- updated to 3.50.3

* Sun Dec 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 0347b02
- updated to 3.50.2

* Fri Oct 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 99661da
- updated to 3.50.1

* Sun Oct 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 43bc5e2
- updated to 3.50.0

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 073dfb5
- updated to 3.48.2

* Sun May 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 9716508
- updated to 3.46.4; libsoup3 now

* Wed Aug 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 472d0a1
- release 2

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> ffb2a8f
- updated to 3.44.4

* Fri Jul 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 1e657e9
- updated to 3.44.3

